# openocd variables
OPENOCD_PATH ?= /usr/share/openocd/
OPENOCD_BIN = openocd
OPENOCD_INTERFACE = stlink-v2-1.cfg
ifeq ($(OPENOCD_TARGET),"")
$(error OPENOCD_TARGET not defined $(OPENOCD_TARGET))
endif

# openocd erase command
OPENOCD_ERASE_CMDS = -c 'reset halt'
OPENOCD_ERASE_CMDS += -c 'sleep 10'
OPENOCD_ERASE_CMDS += -c 'sleep 10'
OPENOCD_ERASE_CMDS += -c 'flash erase_sector 0 0 last'
OPENOCD_ERASE_CMDS += -c shutdown

# openocd flash command
OPENOCD_FLASH_CMDS = -c 'reset halt'
OPENOCD_FLASH_CMDS += -c 'sleep 10'
OPENOCD_FLASH_CMDS += -c 'flash write_image ../$(BIN_FILE) 0x08000000'
OPENOCD_FLASH_CMDS += -c 'reset run'
OPENOCD_FLASH_CMDS += -c shutdown

# openocd debug command
OPENOCD_DEBUG_CMDS = -c 'reset halt'
OPENOCD_DEBUG_CMDS += -c 'sleep 10'

erase:
	$(OPENOCD_BIN) -f $(OPENOCD_INTERFACE) -f $(OPENOCD_TARGET) -c init $(OPENOCD_ERASE_CMDS)

flash:
ifeq ($(BIN_FILE),"")
$(error BIN_FILE not defined $(BIN_FILE))
endif
	$(OPENOCD_BIN) -f $(OPENOCD_INTERFACE) -f $(OPENOCD_TARGET) -c init $(OPENOCD_FLASH_CMDS)

debug:
	$(OPENOCD_BIN) -f $(OPENOCD_INTERFACE) -f $(OPENOCD_TARGET) -c init $(OPENOCD_DEBUG_CMDS)
